Functions.WebAppsDiscoverBackup(String, String, String, IRestoreRequest, Func<HttpResponseMessage,Task<IRestoreRequest>,Task>, Func<HttpResponseMessage,Task<IDefaultErrorResponse>,Task>, IEventListener, ISendAsync) Method

Definition

public System.Threading.Tasks.Task WebAppsDiscoverBackup (string resourceGroupName, string name, string subscriptionId, Microsoft.Azure.PowerShell.Cmdlets.Functions.Models.Api20190801.IRestoreRequest body, Func<System.Net.Http.HttpResponseMessage,System.Threading.Tasks.Task<Microsoft.Azure.PowerShell.Cmdlets.Functions.Models.Api20190801.IRestoreRequest>,System.Threading.Tasks.Task> onOk, Func<System.Net.Http.HttpResponseMessage,System.Threading.Tasks.Task<Microsoft.Azure.PowerShell.Cmdlets.Functions.Models.Api20190801.IDefaultErrorResponse>,System.Threading.Tasks.Task> onDefault, Microsoft.Azure.PowerShell.Cmdlets.Functions.Runtime.IEventListener eventListener, Microsoft.Azure.PowerShell.Cmdlets.Functions.Runtime.ISendAsync sender);
member this.WebAppsDiscoverBackup : string * string * string * Microsoft.Azure.PowerShell.Cmdlets.Functions.Models.Api20190801.IRestoreRequest * Func<System.Net.Http.HttpResponseMessage, System.Threading.Tasks.Task<Microsoft.Azure.PowerShell.Cmdlets.Functions.Models.Api20190801.IRestoreRequest>, System.Threading.Tasks.Task> * Func<System.Net.Http.HttpResponseMessage, System.Threading.Tasks.Task<Microsoft.Azure.PowerShell.Cmdlets.Functions.Models.Api20190801.IDefaultErrorResponse>, System.Threading.Tasks.Task> * Microsoft.Azure.PowerShell.Cmdlets.Functions.Runtime.IEventListener * Microsoft.Azure.PowerShell.Cmdlets.Functions.Runtime.ISendAsync -> System.Threading.Tasks.Task
Public Function WebAppsDiscoverBackup (resourceGroupName As String, name As String, subscriptionId As String, body As IRestoreRequest, onOk As Func(Of HttpResponseMessage, Task(Of IRestoreRequest), Task), onDefault As Func(Of HttpResponseMessage, Task(Of IDefaultErrorResponse), Task), eventListener As IEventListener, sender As ISendAsync) As Task

Parameters

resourceGroupName
String
name
String
subscriptionId
String
eventListener
IEventListener
sender
ISendAsync

Returns

Task

Applies to